package com.ejie.ab63.model;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6340s00  
 * 
 *  
 */

public class DireccionEstablecimiento implements java.io.Serializable {

	private Integer idDireccionEstab;
	private Establecimiento establecimiento;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Ab6340s00'.
	 */
	public DireccionEstablecimiento() {
	}

	/**
	 * Method 'Ab6340s00'.
	 * 
	 * @param idDireccionEstab
	 *            Integer
	 */
	public DireccionEstablecimiento(Integer idDireccionEstab) {
		this.idDireccionEstab = idDireccionEstab;
	}

	/**
	 * Method 'Ab6340s00'.
	 * 
	 * @param idDireccionEstab
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6301s00
	 *            Ab6301s00
	 */
	public DireccionEstablecimiento(Integer idDireccionEstab, Date fechaRegistro, String usuarioRegistro,
			Date fechaUltmodificacion, String usuarioUltmodificacion, Establecimiento ab6301s00) {

		this.idDireccionEstab = idDireccionEstab;
		this.establecimiento = ab6301s00;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdDireccionEstab'.
	 *
	 * @return Integer
	 */

	public Integer getIdDireccionEstab() {
		return this.idDireccionEstab;
	}

	/**
	 * Method 'setIdDireccionEstab'.
	 *
	 * @param idDireccionEstab
	 *            Integer
	 * @return
	 */

	public void setIdDireccionEstab(Integer idDireccionEstab) {
		this.idDireccionEstab = idDireccionEstab;
	}

	/**
	 * Method 'getAb6301s00'.
	 *
	 * @return Ab6301s00
	 */
	@JsonIgnore

	public Establecimiento getEstablecimiento() {
		return this.establecimiento;
	}

	/**
	 * Method 'setAb6301s00'.
	 *
	 * @param ab6301s00
	 *            Ab6301s00
	 * @return
	 */

	public void setEstablecimiento(Establecimiento ab6301s00) {
		this.establecimiento = ab6301s00;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idDireccionEstab: ").append(this.idDireccionEstab).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
